<?php
// Optionale Parameter sind als Kommentar angegeben!
// Ausgeben eines Strings:
echo( $string ); // alternativ:
print( $string );
// Formatiertes ausgeben eines String:
// Wie C-Funktion:
// - %d   → Ganzzahl
// - %f   → Float
// - %.2f → Float (2 Nachkommastellen)
// - %s   → String
printf( $string, $var /* [, $...] */ );
// Formatiertes Datum Ausgeben:
// d: Tag des Monats (führende 0)      h:   Stunde (1-12)
// D: Tag der Woche (Sun-Sat)          H:   Stunde (0-23)
// m: Monat (führende Null)            Y:   Jahr (4stellig)
// y: Jahr (zweistellig)               a/A: am/pm / AM/PM
// j: Tag des Monats (1-31)            H:   Stunde (0-23)
// w: Wochentag (0=So-6=Sa)            i:   Minute (00-59)
// c: 2004-02-12T15:19:21+00:00        O:   Zeitzone (+0200)
// r: Thu, 21 Dec 2000 16:01:07 +0200  s:   Sekunde (00-59)
date( $format /*, $timestamp */ );
date( "Y-m-d" ); // 2015-11-24
// Gibt die Länge des String zurück
$length = strlen( $string );
// Gibt Teilstring ab start zurück; Länge=$length oder bis Ende
substr( $string, $start /*, $length */ );
substr( "abcd", 2, 1 ); // "c"; Ohne 3. Parameter: "cd"
// Ersetzt search durch replace im String subject und gibt diesen String zurück
str_replace( $search, $replace, $subject );
str_replace("bc","1","abcd"); // → "a1d"
// Konvertiert folgende Zeichen in HTML-Entitäten:
// & " ' < > zu &amp; &quot; &#039; &lt; &gt;
htmlspecialchars( $string );
// Gibt nächste kleinere Integer zurück
floor( $float );
// Äquivalent zu htmlspecialchars, es werden allerdings alle Zeichen ersetzt, für die es entsprechende HTML-Entitäten gibt
htmlentities( $string );
// Prüft ob Variable(n) exisiteren und nicht NULL sind
isset( $var /* , $... */ );
// Prüft ob Variable ein String ist.
is_string( $var );
// Prüft ob Variable eine Ganzzahl ist.
is_int( $var );
// Prüft ob eine Variable/ein String eine Zahl darstellt.
is_numeric( $var );
// Öffnet eine Datei mit einem der Modi:
// "r":  Lesen; Zeiger am Anfang der Datei
// "w":  Schreiben; Zeiger am Anfang der Datei, Datei wird auf Länge 0 gekürtzt
// "a":  Schreiben; Zeiger am Ende der Datei → Inhalte anhängen
// Sowie "r+", "w+" und "a+": Jeweils lesen und schreiben
fopen( $filename, $mode );
// Schreibt string in Datei (handle)
fputs( $handle, $string );
// Liest eine Zeile aus handle
fgets( $handle /*, $length */ );
// Testet auf End-of-File auf einem handle.
feof( $handle );
// Schließt die Datei
fclose( $handle );
// Liest die Datei und gibt sie aus
readfile( $filename );
// Liest die Datei und gibt sie als String zurück
file_get_contents( $filename );
// Gibt ein Array mit den Zeilen der Datei zurück
file( $file );
// Liest einen CSV-Eintrag
fgetcsv( $handle /* , $length=0, $delimiter=",", $enclosure='"', $escape="\" */ );
// Schreibt einen CSV-Eintrag
fputcsv( $handle, $fields /*, $delimiter=",", $enclosure='"', $escape_char="\" */ );
// Formatiert eine Zahl (Englisches Format!)
number_format( $number /*, $decimals = 0*/ );
// Formatiert eine Zahl mit gegebenen Zeichen
number_format( $number, $decimals = 0, $dec_point = ".", $thousands_sep = "," );
// Definiert eine Konstante zur Laufzeit
define( $name, $value );
// Setzte ein Locale (z.B.: LC\_ALL, de\_DE)
setlocale(  $category, $locale );
// aus Vorlesung:
setlocale(LC_ALL, 'de_DE@euro', 'de_DE', 'deu_deu');
// Bindet eine Datei ein, gibt Warnung aus, wenn diese nicht existiert
include( $file );
// Wie include, gibt aber einen Fehler zurück, wenn Datei nicht existiert
require( $file );
// Versucht einen String in einen Timestamp umzuwandeln
strtotime( $string );
// Heredoc
$s = <<<Inhalt
Hier können mehrere Zeilen Text stehen
Inhalt kann bel. Wort als Trenner sein.
Inhalt;
// Funktion mit optionalem Parametern:
function foo($var1, $opt1="blah") { /* ... */ }
